Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA
Class ObjectStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA_2_3.portable.ObjectImpl
                  |
                  +--org.openorb.CORBA.ObjectStub

All Implemented Interfaces:
  IDLEntity, Object, java.io.Serializable

public class ObjectStub
extends ObjectImpl
implements IDLEntity

This class is the stub for org.omg.CORBA.Object.

Version:
  $Revision: 1.5 $ $Date: 2002/07/15 14:53:41 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`ObjectStub()` Default constructor.
`ObjectStub(ORB orb, IOR ior)` Create new delegate with specified orb / IOR

Method Summary
`java.lang.String[]` | `_ids()` Return list of object ids.

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectStub

    public ObjectStub()

  Default constructor. Leave delegate unset.

### ObjectStub

    public ObjectStub(ORB orb,
                      IOR ior)

  Create new delegate with specified orb / IOR

Method Detail

### _ids

    public java.lang.String[] _ids()

  Return list of object ids.
  Overrides:
    `_ids` in class `ObjectImpl`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD